#include "WagnisGameboard.h"
#include "WagnisProvince.h"

// todo: klassen zusammenfassen

namespace orxonox
{
    class _WagnisExport Wagnis : public Deathmatch
    {
        public: 

        // to start the game
        void createGame;        // creates and links provinces
        
            void setPlayers;        // initialises players
            void chooseProvinces    // players can choose their provinces 
        

        void playerTurn         // each players turn
           
            void setTroops;         // get and set your reinforcements
            void attack;            // attack neighbouring provinces
            void moveTroops;        // move troops from one province to another
        
            // additional checking funtions
            int  troopCounter;       // counts how many reinforcements player gets
            bool attackChecker;     // checks whether an attack move is valid
                                    // (provinces linked, enough troops, no own province) 
            bool moveChecker;       // checks whether a troop movement is valid
                                    // (start and target belong to player, link existing)
            void attackSimulator;   // calculates outcome of battle 
        
    
        private:
            
            int owner_ID;
            int troops;
            int ID;
            int continent;
    }

}